<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="(isHandset$ | async) === true"
  >
    <mat-toolbar (click)="drawer.toggle()"><mat-icon>close</mat-icon></mat-toolbar>
    <mat-nav-list (click)="drawer.toggle()">
      <a mat-list-item routerLink="/home"><mat-icon>house</mat-icon>Home</a>
      <a mat-list-item routerLink="/classifica"><mat-icon>group</mat-icon>Classifica</a>
      <a mat-list-item routerLink="/classifica"><mat-icon>book</mat-icon>Podio</a>
    </mat-nav-list>
  </mat-sidenav>

  <!-- https://jossef.github.io/material-design-icons-iconfont/ for icons-->
  <!-- contenuto -->
  <mat-sidenav-content>
    <mat-toolbar color="secondary">
      @if (isHandset$ | async) {
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
      >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      }
      <button mat-flat-button (click)="drawer.toggle()">
        <mat-icon>menu</mat-icon>Menu
      </button>
      <nav>
        <ul>
            <li><a routerLink="/home">LAN Party</a></li>
            <li><a routerLink="/classifica">Classifica</a></li>
        </ul>
      </nav>
    </mat-toolbar>
    <!-- Add Content Here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
